Bug 499989 - Uninitialized bytes during joystick setup
Uninitialized bytes during joystick setup
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: SDL (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-09 16:58 EDT by Thomas Zimmermann
Modified: 2010-06-28 08:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:28:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Test case for the bug (1.08 KB, text/plain)
2009-05-09 16:58 EDT, Thomas Zimmermann
no flags Details
Patch (968 bytes, patch)
2009-05-09 16:59 EDT, Thomas Zimmermann
no flags Details | Diff

  None (edit)
Description Thomas Zimmermann 2009-05-09 16:58:32 EDT
Created attachment 343235 [details]
Test case for the bug

Description of problem:

If SDL uses the event interface on Linux for accessing joysticks, the joystick setup might depend on uninitialized bytes.

Version-Release number of selected component (if applicable):

SDL-1.2.13-9.f11

How reproducible:

Init a joystick with SDL and trace the application with valgrind. A test case is attached for this.

Steps to Reproduce:

1. Compile the test case with

  gcc `sdl-config --libs --cflags` -o SDL-1.2.13.isjoystick.testcase SDL-1.2.13.isjoystick.testcase.c

2. Then execute

  valgrind --track-origins=yes ./SDL-1.2.13.isjoystick.testcase
  
Actual results:

valgrind reports something like

==12393== Conditional jump or move depends on uninitialised value(s)
==12393==    at 0x4C76BFF: SDL_SYS_JoystickInit (SDL_sysjoystick.c:387)
==12393==    by 0x4C531F9: SDL_JoystickInit (SDL_joystick.c:49)
==12393==    by 0x4C2640D: SDL_InitSubSystem (SDL.c:121)
==12393==    by 0x4C264AE: SDL_Init (SDL.c:162)
==12393==    by 0x4006B4: main (in /home/tdz/rpmbuild/BUILD/SDL-1.2.13.isjoystick.testcase)
==12393==  Uninitialised value was created by a stack allocation
==12393==    at 0x4C76A4F: SDL_SYS_JoystickInit (SDL_sysjoystick.c:397)


Expected results:

No warning.

Additional info:

The problem is located in the functions EV_IsJoystick and EV_ConfigJoystick. Some arrays are passed to ioctl and then initialized by the joystick driver. SDL does not fill these arrays with 0 before using them, but depends on the driver to set enough bytes of those arrays to some valid state.
Comment 1 Thomas Zimmermann 2009-05-09 16:59:11 EDT
Created attachment 343236 [details]
Patch
Comment 2 Bug Zapper 2009-06-09 11:34:23 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-04-27 10:15:16 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-06-28 08:28:42 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.